#
# spec file for package pose (Version 3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fltk fltk-devel gpp libgpp mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fltk fltk-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         pose
Copyright:    1998-2000 Palm, Inc. or its subsidiaries
Group:        X11/Applications
Autoreqprov:  on
Obsoletes:    xcopilot
Version:      3.2
Release:      39
Summary:      A Palm OS Emulator for Unix/X11
URL:          http://www.palmos.com/dev/tech/tools/emulator
Source:       emulator-src-32.tar.bz2
Source1:      emulator-skins-17.tar.bz2
Source2:      README.SuSE
Source3:      POSE-HOWTO.html
Patch:        Emulator_Src_%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Palm OS Emulator is an application that emulates the hardware for most
Palm Computing Platform Hardware devices (e.g., Pilot, PalmPilot, Palm
III, Palm V, Palm VII, etc.).
With the Palm OS Emulator, you can emulate the functions of a Palm
hardware device, including running the built-in application, as well as
installing and running 3rd party applications.

Authors:
--------
    Greg Hewgill 
    Craig Schofield 
    Bernd Schmidt

SuSE series: emu

%define pythondir /usr/lib/python2.0/site-packages/POSER/
%define perldir %(eval `perl -V:installarchlib` ; echo $installarchlib)/POSER/
%prep
%setup -n Emulator_Src_%{version} 
%setup -T -D -c -a 1 -n Emulator_Src_%{version}
%patch
cp -v $RPM_SOURCE_DIR/README.SuSE  README.SuSE
cp -v $RPM_SOURCE_DIR/POSE-HOWTO.html  POSE-HOWTO.html

%build
cd BuildUnix/
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/ \
        --mandir=%{_mandir}\
        --enable-debug \
        --with-fltk=/usr/X11R6/
make

%install
rm -rf $RPM_BUILD_ROOT
(cd BuildUnix/; make install DESTDIR=$RPM_BUILD_ROOT)
install -d $RPM_BUILD_ROOT{%{perldir},%{pythondir},/usr/lib/pose,/usr/share/pose/Skins}
mv $RPM_BUILD_ROOT/usr/bin/pose $RPM_BUILD_ROOT/usr/lib/pose/pose.bin
# script for run pose
cat >$RPM_BUILD_ROOT/usr/bin/pose <<EOF
#!/bin/sh
[ -z '$POSER_DIR' ] && export POSER_DIR=/usr/share/pose/
/usr/lib/pose/pose.bin
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/pose
install Scripting/Perl/* $RPM_BUILD_ROOT/%{perldir}
install Scripting/Python/* $RPM_BUILD_ROOT/%{pythondir}
mv Skins_v1.7/{Handspring,Palm,Symbol,TRG} $RPM_BUILD_ROOT/usr/share/pose/Skins
mv Skins_v1.7/ReadMe.txt readme.skins
install ROMTransfer/Source/ROM_Transfer.prc $RPM_BUILD_ROOT/usr/lib/pose/ROM_Transfer.prc
rm -f Docs/_GPL.txt Docs/_Building.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Docs/* readme.skins  README.SuSE POSE-HOWTO.html
%{perldir}
%{pythondir}
%attr(755, root, uucp) /usr/bin/pose
/usr/lib/pose/
/usr/share/pose/

%changelog -n pose
* Fri Aug 31 2001 - adostal@suse.cz
- fix build (use aclocal, automake, autoconf and suse_update_config)
* Mon Aug 27 2001 - ro@suse.de
- added fltk-devel to neededforbuild
* Wed Jun 27 2001 - pblaha@suse.cz
- update on 3.2 and skin on version 17
* Tue Jun 12 2001 - pblaha@suse.cz
- fix compilation with new automake
* Thu Apr 19 2001 - pblaha@suse.cz
- update on stable 3.1
- update  skins (version 16)
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Feb 09 2001 - pblaha@suse.cz
- add POSE-HOWTO.html
* Thu Feb 08 2001 - pblaha@suse.cz
- update on  3.0a8
- update  skins (version 15)
* Tue Nov 28 2000 - uli@suse.de
- fixed to build
* Wed Nov 08 2000 - bubnikv@suse.cz
- updated to 3.0a7
- added skins (version 14)
- added shell wraper for setting POSER_DIR environment variable
* Thu Sep 14 2000 - ro@suse.de
- fixed specfile
* Mon Sep 04 2000 - bubnikv@suse.cz
- fixed perl path not to be dependent on ix86
* Fri Jul 07 2000 - kukuk@suse.de
- Use mesa, not glx in need for build
* Tue Jun 27 2000 - bubnikv@suse.cz
- added Obsoletes: tag to spec file
* Fri Jun 23 2000 - bubnikv@suse.cz
- new package
